[med-svn] r22537 - in trunk/packages/rostlab/reprof/trunk/debian: . tests

Tatiana Malygina latticetower-guest at moszumanska.debian.org
Thu Jul 14 07:23:23 UTC 2016


Author: latticetower-guest
Date: 2016-07-14 07:23:22 +0000 (Thu, 14 Jul 2016)
New Revision: 22537

Added:
   trunk/packages/rostlab/reprof/trunk/debian/tests/installation-test
Modified:
   trunk/packages/rostlab/reprof/trunk/debian/changelog
   trunk/packages/rostlab/reprof/trunk/debian/docs
   trunk/packages/rostlab/reprof/trunk/debian/tests/control
Log:
add draft test for reprof binary package

Modified: trunk/packages/rostlab/reprof/trunk/debian/changelog
===================================================================
--- trunk/packages/rostlab/reprof/trunk/debian/changelog	2016-07-14 07:21:04 UTC (rev 22536)
+++ trunk/packages/rostlab/reprof/trunk/debian/changelog	2016-07-14 07:23:22 UTC (rev 22537)
@@ -1,3 +1,12 @@
+reprof (1.0.1-4) UNRELEASED; urgency=medium
+
+  * Team upload.
+  * use explicitly `autopkgtest-pkg-test` in debian/tests/control, as described
+    here: https://pkg-perl.alioth.debian.org/autopkgtest.html#implementation 
+  * add draft test for `reprof` package
+
+ -- Tatiana Malygina <merlettaia at gmail.com>  Thu, 14 Jul 2016 10:18:46 +0300
+
 reprof (1.0.1-3) unstable; urgency=medium
 
   [ Tatiana Malygina ]
@@ -7,8 +16,6 @@
   * add hardening
   * add debian/README.test, debian/docs
   * debian/copyright: fixed syntax to fit DEP5
-  * use explicitly `autopkgtest-pkg-test` in debian/tests/control, as described
-    here: https://pkg-perl.alioth.debian.org/autopkgtest.html#implementation 
 
   [ Andreas Tille ]
   * Fix clean target to build twice in a row

Modified: trunk/packages/rostlab/reprof/trunk/debian/docs
===================================================================
--- trunk/packages/rostlab/reprof/trunk/debian/docs	2016-07-14 07:21:04 UTC (rev 22536)
+++ trunk/packages/rostlab/reprof/trunk/debian/docs	2016-07-14 07:23:22 UTC (rev 22537)
@@ -1 +1,2 @@
 debian/README.test
+debian/tests/installation-test

Modified: trunk/packages/rostlab/reprof/trunk/debian/tests/control
===================================================================
--- trunk/packages/rostlab/reprof/trunk/debian/tests/control	2016-07-14 07:21:04 UTC (rev 22536)
+++ trunk/packages/rostlab/reprof/trunk/debian/tests/control	2016-07-14 07:23:22 UTC (rev 22537)
@@ -10,3 +10,6 @@
 
 Test-Command: /usr/share/pkg-perl-autopkgtest/runner heavy-deps
 Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy
+
+Tests: installation-test
+Depends: @

Added: trunk/packages/rostlab/reprof/trunk/debian/tests/installation-test
===================================================================
--- trunk/packages/rostlab/reprof/trunk/debian/tests/installation-test	                        (rev 0)
+++ trunk/packages/rostlab/reprof/trunk/debian/tests/installation-test	2016-07-14 07:23:22 UTC (rev 22537)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# autopkgtest check: build and run with default test data
+# This test tries to run `reprof` from `reprof` package. 
+# Package `librg-reprof-bundle-perl` is tested with `autopkgtest-pkg-perl`
+# explicitly.
+# Author: Tatiana Malygina <merlettaia at gmail.com>
+
+set -e
+
+pkg=reprof
+
+if [ "$ADTTMP" = "" ] ; then
+  ADTTMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf $ADTTMP" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cd $ADTTMP
+
+cp -a /usr/share/doc/${pkg}/examples/* .
+find . -type f -name "*.gz" -exec gunzip \{\} \;
+for lnk in `find . -type l -name "*.gz"` ; do
+    ln -s `basename $(readlink $lnk) .gz` `echo $lnk | sed 's/\.gz$//'`
+    rm $lnk
+done
+
+# Following examples were taken from man page.
+# Prediction from BLAST PSSM matrix for best results:
+reprof -i example.Q -o example.Q.new.reprof
+[ -z $(cmp -s example.Q.new.reprof example.Q.reprof) ]
+
+# Prediction from FASTA file:
+reprof -i example.fasta -o example.fasta.new.reprof
+[ -z $(cmp -s example.fasta.new.reprof example.fasta.reprof) ]
+
+# last example is commented for now. After thi bug would be fixed:
+# "Constructor failed at /usr/share/perl5/RG/Reprof.pm line 225."
+# Prediction from BLAST PSSM matrix file using the mutation mode:
+#reprof -i /usr/share/doc/reprof/examples/example.Q -o /tmp/mutations_example.Q.reprof --mutations /usr/share/doc/reprof/examples/mutations.txt
+            
+# Result files for the above call are going to be:
+#            # /tmp/mutations_example.Q.{reprof,reprof_F172P,reprof_M1Q,reprof_N3
+#4Y,reprof_ORI} - see --mutations for a description of the extensions.




More information about the debian-med-commit mailing list